Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 551498 - codelite-15.0.0.ebuild (new package)
Summary: codelite-15.0.0.ebuild (new package)
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
: 237912 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-06-08 13:27 UTC by Stéphane Veyret
Modified: 2021-05-16 15:44 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for codelite 8.0-1 (file_551498.txt,698 bytes, text/plain)
2015-06-08 13:27 UTC, Stéphane Veyret
Details
codelite-14.0.ebuild (codelite-14.0.ebuild,529 bytes, text/plain)
2020-03-14 10:18 UTC, MeatShooter
Details
ebuild for codelite 14.0.2 (codelite-14.0.2.ebuild,548 bytes, text/plain)
2020-11-08 09:07 UTC, MeatShooter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Veyret 2015-06-08 13:27:50 UTC
Created attachment 404778 [details]
ebuild for codelite 8.0-1

Hi,

Please find attached my ebuild for the last version of codelite. I also made one for the previous version, which you can find in my personnal overlay :
https://github.com/sveyret/sveyret-overlay/tree/master/dev-util/codelite

Thank you.
Comment 1 José Romildo Malaquias 2015-10-07 20:28:46 UTC
codelite-8.2.0 has already been released.
Comment 2 Stéphane Veyret 2015-10-08 04:49:22 UTC
Actually, codelite-8.2.0 is released only for Windows. For other systems, the last stable version is 8.1.0, for which I have also written an ebuild (same overlay : https://github.com/sveyret/sveyret-overlay/tree/master/dev-util/codelite)
Comment 3 Stéphane Veyret 2015-10-08 04:50:09 UTC
(In reply to José Romildo Malaquias from comment #1)
> codelite-8.2.0 has already been released.

Actually, codelite-8.2.0 is released only for Windows. For other systems, the last stable version is 8.1.0, for which I have also written an ebuild (same overlay : https://github.com/sveyret/sveyret-overlay/tree/master/dev-util/codelite)
Comment 4 Stéphane Veyret 2015-11-19 08:12:36 UTC
Just a short message to say I now made ebuild for version 9.0.
Comment 5 Stéphane Veyret 2017-10-26 14:39:56 UTC
Version 11.0.0 is now available in my overlay.
Comment 6 MeatShooter 2020-03-14 10:18:38 UTC
Created attachment 618904 [details]
codelite-14.0.ebuild

Here is ebuild for codelite-14.0
Comment 7 Stéphane Veyret 2020-04-23 07:15:19 UTC
Thank you for your comment, @MeatShooter.

As you can see, I opened this issue a few years ago, and it seems that this package is not a priority for integration to the Gentoo tree. If you want to use codelite now, I suggest that you use my overlay:

https://github.com/sveyret/sveyret-overlay

And if I am late for bumping a new version, do not hesitate and directly open an issue in my overlay git repository.
Comment 8 MeatShooter 2020-11-08 09:07:06 UTC
Created attachment 670415 [details]
ebuild for codelite 14.0.2

New ebuild for CodeLite
Comment 9 Stéphane Veyret 2021-05-16 15:39:39 UTC
*** Bug 237912 has been marked as a duplicate of this bug. ***
Comment 10 Stéphane Veyret 2021-05-16 15:42:22 UTC
New version 15.0 can now be installed from my overlay :
https://github.com/sveyret/sveyret-gentoo/tree/master/dev-util/codelite